SELECT /*+ ORDERED */ a.No CHK, 
                      a.ID PROCSTAT 
FROM   APOPDLST a, 
       AIPRICST b, 
       (SELECT SMALLGCODE CODE, 
               CODENAME 
        FROM   CCCOMCDT 
        WHERE  MIDGCODE = 'AI136') C1, 
       (SELECT SMALLGCODE CODE, 
               CODENAME 
        FROM   CCCOMCDT 
        WHERE  MIDGCODE = 'AC003') C2, 
       (SELECT SMALLGCODE CODE, 
               CODENAME 
        FROM   CCCOMCDT 
        WHERE  MIDGCODE = 'AI010') C3 
WHERE  a.PATNO = :PATNO 
       AND a.MEDDEPT = :MEDDEPT 
       AND a.MEDDR = :MEDDR 
       AND a.MEDDATE > trunc(to_date(:MEDTIME, 'yyyy-mm-dd hh24:mi')) 
       AND '3' = :RCPSTAT 
       AND a.RSVTYPE NOT IN ( '6', '9', 'D', 'L' ) 
       AND a.MEDCALYN = 'N' 
       AND a.REJTTIME IS NULL 
       AND b.SUGACODE(+) = FN_AP_MAKESUGA_APOPDLST(a.PATNO, a.MEDDEPT, a.MEDDR, 
                       a.MEDTIME, a.PATTYPE, a.NOCHCD, a.FSTMEDTY, a.RSVTYPE) 
       AND a.MEDDATE BETWEEN b.FROMDATE(+) AND b.TODATE(+) 
       AND C1.CODE(+) = CASE 
                     WHEN 1
                         THEN a.TYPECD 
                      ELSE b.TYPECD
                     END   
       AND C2.CODE(+) = 'N' 
       AND C3.CODE(+) = b.ACCUCD 
       AND 'Y' = :RSVYN